Cancel

For Iris to send a cancel request when a player cancelled a bet placed, or when there is error during a Bet transaction.

Partner cannot deny this request and Janus will continue sending it until it is accepted by partner's server.

Important: This API call is idempotent, multiple calls with the same IrisTransactionID should not be processed again and return the latest balance of the user.

API Request URL

POST /Cancel

circle-info

To cancel a bet after a bet is successfully placed.

API Request Body Example

{
    "traceId": "23289jfjk902",
    "playerId": "nexid",
    "vendorTransactionId": "V#didfn92783",
    "irisTransactionId": "sdfwefr2f3",
    "transactionTime": "2024-08-08T18:08:18.123Z"
}

Request Fields

Name
Type
Description

traceId*

String

Used to track end to end requests for all transactions

playerId*

String

Unique player ID

vendorTransactionId*

String

Unique transaction ID of this transaction by Vendor

irisTransactionId*

String

Unique transaction ID of this transaction by Iris

transactionTime*

DateTime

ISO 8601 datetime format Date time of this transaction

API Response Example

Response Fields

Name
Type
Description

traceId*

String

Used to track end to end requests for all transactions

statusCode*

Integer

Status of request

List of status codes

message

String

Custom message

balance*

String

Player's account balance

currency*

String

ISO-4217 currency code List of currency supported

Last updated